# $Revision: 1.19 $, $Date: 2006/11/21 20:38:31 $
# TODO
# - use webapps
Summary:	Hastymail - easy-to-use, fast webmail system
Summary(pl):	Hastymail - atwy w uyciu, szybki system webmail
Name:		hastymail
Version:	1.5
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/hastymail/%{name}-%{version}.tar.bz2
# Source0-md5:	bbff61a6986356ec235cf2310a08d811
Source1:	%{name}.htaccess
URL:		http://hastymail.sourceforge.net/
Requires(post):	fileutils
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires:	php(gettext)
Requires:	php(pcre)
Requires:	php(xml)
Requires:	webserver
Requires:	webserver(php)
Provides:	webmail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_hastymaildir	/home/services/httpd/html/%{name}
%define		vardir		/var/lib/%{name}

%description
Hastymail is yet another webmail IMAP client written in PHP. It's
designed for speed, RFC compatibility and security. Hastymail is
intended to be the fastest PHP IMAP client around.

%description -l pl
Hastymail to jeszcze jeden webmailowy klient IMAP napisany w PHP.
Zosta zaprojektowany z myl o szybkoci, kompatybilnoci z RFC i
bezpieczestwie. Hastymail ma by najszybszym istniejcym klientem
IMAP w PHP.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_hastymaildir},%{_sysconfdir}/httpd/httpd.conf} \
	$RPM_BUILD_ROOT%{vardir}/{settings/attachments,include}

cp -a {filter,html,idna,images,index.php,lang,lib,templates,themes} $RPM_BUILD_ROOT%{_hastymaildir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_hastymaildir}/.htaccess
sed -e "s@/var/hastymail@%{vardir}@" hastymail.conf-example > \
	$RPM_BUILD_ROOT%{_sysconfdir}/hastymail.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 0 ]; then
	SECRET=`dd if=/dev/urandom bs=1 count=42 2>/dev/null | od -a -w42 | cut -c8- | sed -e 's![^[:alnum:]]!!g' | xargs`
	if [ -n "$SECRET" ] ; then
		echo "Updating authentication secret in config files..."
		sed -i -e 's#\"KEY\"#\"$SECRET\"#g' %{_hastymaildir}/.htaccess
	else
		echo "Remember to update secret in "
		echo "    %{_hastymaildir}/.htaccess"
	fi
fi
%service -q httpd restart

%files
%defattr(644,root,root,755)
%doc INSTALL CHANGES TODO README DEVELOPMENT RELEASE.NOTES hastymail.conf-example
%dir %{_hastymaildir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%dir %{vardir}
%dir %attr(700,http,http) %{vardir}/settings
%dir %attr(700,http,http) %{vardir}/settings/attachments
%{_hastymaildir}/filter
%{_hastymaildir}/html
%{_hastymaildir}/idna
%{_hastymaildir}/images
%{_hastymaildir}/index.php
%{_hastymaildir}/lang
%{_hastymaildir}/lib
%{_hastymaildir}/templates
%{_hastymaildir}/themes
%config(noreplace) %verify(not md5 mtime size) %{_hastymaildir}/.htaccess

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hastymail.spec,v $
Revision 1.19  2006/11/21 20:38:31  glen
- fix post; rel 1

Revision 1.18  2006/11/21 19:56:18  glen
- rel 0.3: use php(extension) virtuals

Revision 1.17  2006/05/22 22:02:29  shadzik
- up to 1.5

Revision 1.16  2006/01/14 11:19:26  djrzulf
- i think that INSTALL is very helpfull...

Revision 1.15  2005/06/08 20:52:52  jack
- add R: php-xml (fucking utf8_*code)

Revision 1.14  2005/06/08 20:51:17  qboosh
- post needs sed 4.0 now (instead of perl) and fileutils (dd)

Revision 1.13  2005/06/08 20:49:02  glen
- secret fixes (use urandom as seed, hide output of dd, xargs and mismatch quote error, limit randomness at max 42 bytes

Revision 1.12  2005/06/08 20:07:56  jack
- R: coreutils -> textutils (there is no coreutils in Ra)
- add missing dir

Revision 1.11  2005/06/08 20:01:17  jack
- improved %post

Revision 1.10  2005/06/08 19:36:32  jack
- updated to 1.4

Revision 1.9  2005/04/03 16:18:53  darekr
- missing dir

Revision 1.8  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.7  2004/09/01 12:54:24  qboosh
- unified sf URL

Revision 1.6  2004/09/01 12:47:24  misi3k
- updated to 1.2
- std sf url

Revision 1.5  2004/05/13 21:00:45  paszczus
- updated to 1.0

Revision 1.4  2004/02/24 23:11:11  andree
- updated to 0.9

Revision 1.3  2003/12/23 15:31:03  eothane
- updated to 0.8

Revision 1.2  2003/11/28 20:19:39  qboosh
- pl, %post deps, FHS compliance

Revision 1.1  2003/11/22 00:11:03  aredridel
- added
